net.sf.jasperreports.renderers

## Class JRSimpleImageMapRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRImageRenderer
    - - net.sf.jasperreports.renderers.JRSimpleImageMapRenderer

- All Implemented Interfaces:
    java.io.Serializable, ImageMapRenderable, JRImageMapRenderer, JRRenderable, Renderable

      public class JRSimpleImageMapRenderer
      extends JRImageRenderer
      implements ImageMapRenderable

  Version:
    $Id: JRSimpleImageMapRenderer.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Sanda Zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRSimpleImageMapRenderer(byte[] imageData, java.util.List<JRPrintImageAreaHyperlink> areaHyperlinks)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JRPrintImageAreaHyperlink>` | `getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)` Returns the list of `image map areas`.
    `boolean` | `hasImageAreaHyperlinks()` Indicates whether the renderer actually includes any image map areas.
    `java.util.List<JRPrintImageAreaHyperlink>` | `renderWithHyperlinks(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. To be removed.

    - ### Methods inherited from class net.sf.jasperreports.engine.JRImageRenderer

      `getDimension, getDimension, getImage, getImage, getImageData, getImageData, getImageLocation, getImageType, getImageTypeValue, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getOnErrorRenderer, getOnErrorRenderer, getOnErrorRendererForDimension, getOnErrorRendererForImage, getOnErrorRendererForImage, getOnErrorRendererForImageData, getType, getTypeValue, render, render`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.Renderable

      `getDimension, getId, getImageData, getImageTypeValue, getTypeValue, render`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `getDimension, getImageData, getImageType, getType, render`

- - ### Constructor Detail

    - #### JRSimpleImageMapRenderer

          public JRSimpleImageMapRenderer(byte[] imageData,
                                  java.util.List<JRPrintImageAreaHyperlink> areaHyperlinks)

  - ### Method Detail

    - #### renderWithHyperlinks

          public java.util.List<JRPrintImageAreaHyperlink> renderWithHyperlinks(java.awt.Graphics2D grx,
                                                                       java.awt.geom.Rectangle2D rectangle)
                                                                         throws JRException

      Deprecated. To be removed.
      Description copied from interface: `JRImageMapRenderer`
      Returns the list of `image map areas`.
      Specified by:
        `renderWithHyperlinks` in interface `JRImageMapRenderer`
        `rectangle` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

    - #### getImageAreaHyperlinks

          public java.util.List<JRPrintImageAreaHyperlink> getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)
                                                                           throws JRException

      Description copied from interface: `ImageMapRenderable`
      Returns the list of `image map areas`.
      Specified by:
        `getImageAreaHyperlinks` in interface `ImageMapRenderable`
      Specified by:
        `getImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Parameters:
        `renderingArea` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

    - #### hasImageAreaHyperlinks

          public boolean hasImageAreaHyperlinks()

      Description copied from interface: `ImageMapRenderable`
      Indicates whether the renderer actually includes any image map areas.
      Specified by:
        `hasImageAreaHyperlinks` in interface `ImageMapRenderable`
      Specified by:
        `hasImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Returns:
        whether the renderer actually includes any image map areas

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com